"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
function _export(target, all) {
    for(var name in all)Object.defineProperty(target, name, {
        enumerable: true,
        get: all[name]
    });
}
_export(exports, {
    previewHeaderClassNames: function() {
        return previewHeaderClassNames;
    },
    previewHeaderExtraClassNames: function() {
        return previewHeaderExtraClassNames;
    },
    usePreviewHeaderStyles_unstable: function() {
        return usePreviewHeaderStyles_unstable;
    }
});
const _reactcomponents = require("@fluentui/react-components");
const previewHeaderClassNames = {
    root: 'fai-PreviewHeader',
    actions: 'fai-PreviewHeader__actions',
    citation: 'fai-PreviewHeader__citation',
    label: 'fai-PreviewHeader__label',
    media: 'fai-PreviewHeader__media'
};
const previewHeaderExtraClassNames = {
    mediaChild: 'fai-PreviewHeader__mediaChild'
};
const labelFontSize = _reactcomponents.typographyStyles.caption1Strong.fontSize;
const labelLineHeight = _reactcomponents.typographyStyles.caption1Strong.lineHeight;
const useActionsBaseClassName = (0, _reactcomponents.__resetStyles)("ry18yy9", null, [
    ".ry18yy9{grid-row:1;justify-self:end;}"
]);
const useCitationBaseClassName = (0, _reactcomponents.__resetStyles)("ry1eqmj", null, [
    ".ry1eqmj{grid-row:1;}"
]);
const useLabelBaseClassName = (0, _reactcomponents.__resetStyles)("rattnj5", null, [
    ".rattnj5{align-self:start;display:-webkit-box;grid-row:1/3;overflow-y:hidden;padding-top:calc((16px / 2) - (var(--lineHeightBase200) - var(--fontSizeBase200)));word-break:break-word;-webkit-box-orient:vertical;-webkit-line-clamp:2;font-family:var(--fontFamilyBase);font-size:var(--fontSizeBase200);font-weight:var(--fontWeightSemibold);line-height:var(--lineHeightBase200);}",
    ".rattnj5 .fui-Link{font-family:var(--fontFamilyBase);font-size:var(--fontSizeBase200);font-weight:var(--fontWeightSemibold);line-height:var(--lineHeightBase200);color:var(--colorNeutralForeground3);}",
    ".rattnj5 .fui-Link:hover{color:var(--colorNeutralForeground3Hover);}",
    ".rattnj5 .fui-Link:hover:active{color:var(--colorNeutralForeground3Pressed);}"
]);
const useMediaBaseClassName = (0, _reactcomponents.__resetStyles)("rcisese", null, [
    ".rcisese{grid-row:1;height:16px;line-height:0;width:16px;}",
    ".rcisese>.fai-PreviewHeader__mediaChild{height:16px;width:16px;}"
]);
const useRootBaseClassName = (0, _reactcomponents.__resetStyles)("r1xjnine", null, [
    ".r1xjnine{align-items:center;column-gap:var(--spacingHorizontalXS);display:grid;grid-template-rows:24px;}"
]);
// Since the grid track that needs to grow is not always guaranteed to be the first or the last, but can change positions
// based on the slots present, we need to conditionally set the grid template columns based on the slots present.
const useRootStyles = (0, _reactcomponents.__styles)({
    onlyLabel: {
        Budl1dq: "f1c2z91y"
    },
    previousAndLabel: {
        Budl1dq: "f157hhv8"
    },
    labelAndActions: {
        Budl1dq: "fkdjblp"
    },
    citationMediaLabel: {
        Budl1dq: "f1ydiic3"
    },
    previousLabelActions: {
        Budl1dq: "fn2gjqi"
    },
    all: {
        Budl1dq: "f10lv8pf"
    }
}, {
    d: [
        ".f1c2z91y{grid-template-columns:1fr;}",
        ".f157hhv8{grid-template-columns:min-content 1fr;}",
        ".fkdjblp{grid-template-columns:1fr min-content;}",
        ".f1ydiic3{grid-template-columns:min-content min-content 1fr;}",
        ".fn2gjqi{grid-template-columns:min-content 1fr min-content;}",
        ".f10lv8pf{grid-template-columns:min-content min-content 1fr min-content;}"
    ]
});
const usePreviewHeaderStyles_unstable = (state)=>{
    'use no memo';
    const actionsBaseClassName = useActionsBaseClassName();
    const citationBaseClassName = useCitationBaseClassName();
    const labelBaseClassName = useLabelBaseClassName();
    const mediaBaseClassName = useMediaBaseClassName();
    const rootBaseClassName = useRootBaseClassName();
    const rootStyles = useRootStyles();
    let actionsPresent = false;
    if (state.actions) {
        actionsPresent = true;
        state.actions.className = (0, _reactcomponents.mergeClasses)(previewHeaderClassNames.actions, actionsBaseClassName, state.actions.className);
    }
    let citationPresent = false;
    if (state.citation) {
        citationPresent = true;
        state.citation.className = (0, _reactcomponents.mergeClasses)(previewHeaderClassNames.citation, citationBaseClassName, state.citation.className);
    }
    state.label.className = (0, _reactcomponents.mergeClasses)(previewHeaderClassNames.label, labelBaseClassName, state.label.className);
    let mediaPresent = false;
    if (state.media) {
        mediaPresent = true;
        state.media.className = (0, _reactcomponents.mergeClasses)(previewHeaderClassNames.media, mediaBaseClassName, state.media.className);
    }
    state.root.className = (0, _reactcomponents.mergeClasses)(previewHeaderClassNames.root, rootBaseClassName, !citationPresent && !mediaPresent && !actionsPresent && rootStyles.onlyLabel, (citationPresent && !mediaPresent || mediaPresent && !citationPresent) && !actionsPresent && rootStyles.previousAndLabel, !citationPresent && !mediaPresent && actionsPresent && rootStyles.labelAndActions, citationPresent && mediaPresent && !actionsPresent && rootStyles.citationMediaLabel, (citationPresent && !mediaPresent || mediaPresent && !citationPresent) && actionsPresent && rootStyles.previousLabelActions, citationPresent && mediaPresent && actionsPresent && rootStyles.all, state.root.className);
    return state;
}; //# sourceMappingURL=usePreviewHeaderStyles.styles.js.map
