"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
function _export(target, all) {
    for(var name in all)Object.defineProperty(target, name, {
        enumerable: true,
        get: all[name]
    });
}
_export(exports, {
    previewMetadataClassNames: function() {
        return previewMetadataClassNames;
    },
    usePreviewMetadataStyles_unstable: function() {
        return usePreviewMetadataStyles_unstable;
    }
});
const _reactcomponents = require("@fluentui/react-components");
const previewMetadataClassNames = {
    root: 'fai-PreviewMetadata',
    icon: 'fai-PreviewMetadata__icon',
    primaryText: 'fai-PreviewMetadata__primaryText',
    secondaryText: 'fai-PreviewMetadata__secondaryText',
    tertiaryText: 'fai-PreviewMetadata__tertiaryText'
};
const useRootBaseClassName = (0, _reactcomponents.__resetStyles)("rt76a44", null, [
    ".rt76a44{font-family:var(--fontFamilyBase);font-size:var(--fontSizeBase100);font-weight:var(--fontWeightRegular);line-height:var(--lineHeightBase100);}"
]);
const useIconBaseClassName = (0, _reactcomponents.__resetStyles)("rldr52y", "rl7w8fj", [
    ".rldr52y{margin-left:var(--spacingHorizontalSNudge);vertical-align:middle;}",
    ".rl7w8fj{margin-right:var(--spacingHorizontalSNudge);vertical-align:middle;}"
]);
const useTextStyles = (0, _reactcomponents.__styles)({
    subsequentText: {
        Frg6f3: [
            "f3qjkxx",
            "fm9m4my"
        ],
        qhf8xq: "f10pi13n",
        uvfttm: [
            "f1x8pvcy",
            "f9sc749"
        ],
        Bbv0w2i: [
            "f1jpmc5p",
            "f1yq6w5o"
        ],
        Bm6vgfq: [
            "fjml6kk",
            "f1geml7w"
        ],
        Ftih45: "f1wl9k8s",
        Br0sdwz: "f1aocrix",
        Baz25je: "f8pn7wt",
        Fbdkly: [
            "fy871ps",
            "f15er23e"
        ],
        Brfgrao: "f1j7ml58",
        Bciustq: "f1wl9tmt"
    }
}, {
    d: [
        ".f3qjkxx{margin-left:calc(var(--spacingHorizontalSNudge) * 2);}",
        ".fm9m4my{margin-right:calc(var(--spacingHorizontalSNudge) * 2);}",
        ".f10pi13n{position:relative;}",
        ".f1x8pvcy::before{border-left-width:var(--strokeWidthThin);}",
        ".f9sc749::before{border-right-width:var(--strokeWidthThin);}",
        ".f1jpmc5p::before{border-left-style:solid;}",
        ".f1yq6w5o::before{border-right-style:solid;}",
        ".fjml6kk::before{border-left-color:var(--colorNeutralStroke2);}",
        ".f1geml7w::before{border-right-color:var(--colorNeutralStroke2);}",
        ".f1wl9k8s::before{content:\"\";}",
        ".f1aocrix::before{display:block;}",
        ".f8pn7wt::before{height:var(--fontSizeBase100);}",
        ".fy871ps::before{left:calc(-1 * var(--spacingHorizontalSNudge));}",
        ".f15er23e::before{right:calc(-1 * var(--spacingHorizontalSNudge));}",
        ".f1j7ml58::before{position:absolute;}",
        ".f1wl9tmt::before{top:calc((var(--lineHeightBase100) - var(--fontSizeBase100)) / 2);}"
    ]
});
const usePreviewMetadataStyles_unstable = (state)=>{
    'use no memo';
    const rootBaseClassName = useRootBaseClassName();
    const iconBaseClassName = useIconBaseClassName();
    const textStyles = useTextStyles();
    state.root.className = (0, _reactcomponents.mergeClasses)(previewMetadataClassNames.root, rootBaseClassName, state.root.className);
    if (state.icon) {
        state.icon.className = (0, _reactcomponents.mergeClasses)(previewMetadataClassNames.icon, iconBaseClassName, state.icon.className);
    }
    let isSubsequentAfterText = false;
    if (state.primaryText) {
        state.primaryText.className = (0, _reactcomponents.mergeClasses)(previewMetadataClassNames.primaryText, state.primaryText.className);
        isSubsequentAfterText = true;
    }
    if (state.secondaryText) {
        state.secondaryText.className = (0, _reactcomponents.mergeClasses)(previewMetadataClassNames.secondaryText, isSubsequentAfterText && textStyles.subsequentText, state.secondaryText.className);
        isSubsequentAfterText = true;
    }
    if (state.tertiaryText) {
        state.tertiaryText.className = (0, _reactcomponents.mergeClasses)(previewMetadataClassNames.tertiaryText, isSubsequentAfterText && textStyles.subsequentText, state.tertiaryText.className);
    }
    return state;
}; //# sourceMappingURL=usePreviewMetadataStyles.styles.js.map
