import { getIntrinsicElementProps, slot } from '@fluentui/react-components';
/**
 * Create the state required to render PreviewContent.
 *
 * The returned state can be modified with hooks such as usePreviewContentStyles_unstable,
 * before being passed to renderPreviewContent_unstable.
 *
 * @param props - props from this instance of PreviewContent
 * @param ref - reference to root HTMLElement of PreviewContent
 */
export const usePreviewContent_unstable = (props, ref) => {
  return {
    components: {
      root: 'div'
    },
    root: slot.always(getIntrinsicElementProps('div', {
      ref,
      ...props
    }), {
      elementType: 'div'
    })
  };
};
//# sourceMappingURL=usePreviewContent.js.map