import { __resetStyles, mergeClasses, typographyStyles } from '@fluentui/react-components';
import { tokens } from '@fluentui-copilot/tokens';
export const previewContentClassNames = {
  root: 'fai-PreviewContent'
};
/**
 * Styles for the root slot
 */
const useRootBaseClassName = __resetStyles("rd6u8g", null, [".rd6u8g{color:var(--colorNeutralForeground3);display:flex;flex-direction:column;max-width:calc(256px - var(--spacingHorizontalXS) * 2);padding:var(--spacingVerticalS) var(--spacingHorizontalS);row-gap:var(--spacingVerticalXS);word-break:break-word;box-sizing:border-box;font-family:var(--fontFamilyBase);font-size:var(--fontSizeBase200);font-weight:var(--fontWeightRegular);line-height:var(--lineHeightBase200);}"]);
/**
 * Apply styling to the PreviewContent slots based on the state
 */
export const usePreviewContentStyles_unstable = state => {
  'use no memo';

  const rootBaseClassName = useRootBaseClassName();
  state.root.className = mergeClasses(previewContentClassNames.root, rootBaseClassName, state.root.className);
  return state;
};
//# sourceMappingURL=usePreviewContentStyles.styles.js.map