import { getIntrinsicElementProps, slot } from '@fluentui/react-components';
/**
 * Create the state required to render PreviewMetadata.
 *
 * The returned state can be modified with hooks such as usePreviewMetadataStyles_unstable,
 * before being passed to renderPreviewMetadata_unstable.
 *
 * @param props - props from this instance of PreviewMetadata
 * @param ref - reference to root HTMLElement of PreviewMetadata
 */
export const usePreviewMetadata_unstable = (props, ref) => {
  const {
    icon,
    primaryText,
    secondaryText,
    tertiaryText
  } = props;
  return {
    components: {
      root: 'div',
      icon: 'span',
      primaryText: 'span',
      secondaryText: 'span',
      tertiaryText: 'span'
    },
    root: slot.always(getIntrinsicElementProps('div', {
      ref,
      ...props
    }), {
      elementType: 'div'
    }),
    icon: slot.optional(icon, {
      elementType: 'span'
    }),
    primaryText: slot.optional(primaryText, {
      elementType: 'span'
    }),
    secondaryText: slot.optional(secondaryText, {
      elementType: 'span'
    }),
    tertiaryText: slot.optional(tertiaryText, {
      elementType: 'span'
    })
  };
};
//# sourceMappingURL=usePreviewMetadata.js.map