import { usePopoverSurface_unstable } from '@fluentui/react-components';
import { useDesignVersion } from '@fluentui-copilot/react-provider';
// If you add JSX to this file, be sure to change the file type to .tsx
/**
 * Create the state required to render PreviewSurface.
 *
 * The returned state can be modified with hooks such as usePreviewSurfaceStyles_unstable,
 * before being passed to renderPreviewSurface_unstable.
 *
 * @param props - props from this instance of PreviewSurface
 * @param ref - reference to root HTMLElement of PreviewSurface
 */
export const usePreviewSurface_unstable = (props, ref) => {
  const designVersion = useDesignVersion(props.designVersion);
  return {
    designVersion,
    ...usePopoverSurface_unstable(props, ref)
  };
};
//# sourceMappingURL=usePreviewSurface.js.map